Bug 429025 (CVE-2007-4771) - CVE-2007-4771 libicu incomplete interval handling
Summary: CVE-2007-4771 libicu incomplete interval handling
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-4771
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Depends On: 429706 429707 430232 430233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-16 21:08 UTC by Josh Bressers
Modified: 2019-06-08 12:27 UTC (History)
3 users (show)

Fixed In Version: 3.8-5.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-28 14:06:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0090 normal SHIPPED_LIVE Important: icu security update 2008-01-25 13:28:40 UTC

Description Josh Bressers 2008-01-16 21:08:57 UTC
Will Drewry reported a flaw in the way libicu processes certain regular
expressions.  He reports:

    In the function doInterval, regexcmp.cpp:976, there isno check to ensure
    than the upper interval is not -1.  This is intentional as unbounded upper
    limits are allowed, however the remainder of the code does not gracefully
    handle this case.  For instance, a heap overflow is possible due to the
    doubling of memory as RegexMatcher::StateSave continues to backtrack.

Comment 7 Fedora Update System 2008-01-27 07:13:11 UTC
icu-3.8-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-01-27 07:21:21 UTC
icu-3.6-20.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Red Hat Product Security 2008-01-27 10:15:25 UTC
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0090.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-1076
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1036


Note You need to log in before you can comment on or make changes to this bug.